Hatching

Discussion in 'AutoCAD' started by Holly, Aug 16, 2004.

  1. Holly

    Holly Guest

    Our office requirement here is to solid hatch all our building concrete columns on plan.
    I am working on a large job, and instead of picking each column individually to hatch, was wondering if its possible to select all the columns at once to hatch, but without the hatch being one entity.
    I know that (by the standard method) I can pick all the columns to hatch individually, but it means that I cannot move the column and have the hatch move with it - because it is the same hatch entity as all the other columns.

    Does this make any sense at all?!
    Will try and post more if needed!

    Many thanks,
    HOLLY
     
    Holly, Aug 16, 2004
    #1
  2. If you use BHATCH (not plain HATCH) and select them all in one Associative
    hatch pattern, you can move them and the hatch should adjust even though it
    is one entity. Or, if your columns are blocks, you could make a hatch part
    of the block definition.

    Kent Cooper, AIA


    individually to hatch, was wondering if its possible to select all the
    columns at once to hatch, but without the hatch being one entity.
    individually, but it means that I cannot move the column and have the hatch
    move with it - because it is the same hatch entity as all the other columns.
     
    Kent Cooper, AIA, Aug 16, 2004
    #2
  3. Holly

    Holly Guest

    Thanks Kent,
    Too many trees for the wood, if you know what I mean! :eek:)

    HOLLY x
     
    Holly, Aug 16, 2004
    #3
  4. Holly

    CAB2k Guest

    IF the column pads are made of polyline rectangles, one entity each, and they
    are on a separate layer it could easily be done. Is this true in your case?
     
    CAB2k, Aug 16, 2004
    #4
  5. Holly

    Holly Guest

    fao CAB2K
    Yes, thats how they are drawn.

    HOLLY
     
    Holly, Aug 16, 2004
    #5
  6. Holly

    T.Willey Guest

    (defun SSHatch (ent1)
    (command "_.bhatch" "a" "a" "y" "" "p" "solid" "s" ent1 "" "")
    )
    (defun SelSetPro (sset dowhat / ssent)
    (while (/= (sslength sset) 0)
    (setq ssent (ssname sset 0))
    (dowhat ssent)
    (ssdel ssent sset)
    )
    )

    (defun c:HatchColumn (/ ss)
    (command "_.undo" "_end")
    (command "_.undo" "_group")
    (prompt "\nSelect columns to hatch")
    (setq ss (ssget))
    (SelSetPro ss SSHatch)
    (command "_.unod" "_end")
    )

    Try this and see if it works. It will only work if you select polylines, because it needs them to create a boundry for the hatch process.

    Tim
     
    T.Willey, Aug 16, 2004
    #6
  7. Holly

    CAB2k Guest

    And another way.

    ;; uses current layer for hatch
    (defun c:hatchcolumn (/ sset ssent)
    (setq lname "xx") ; layer name of column pads
    (command "_.undo" "_end" "_.undo" "_group")
    (prompt "\nSelect columns to hatch")
    (setq sset (ssget "_X" (list '(0 . "POLYLINE,LWPOLYLINE")(cons 8 lname))))
    (while (/= (sslength sset) 0)
    (setq ssent (ssname sset 0))
    (command "_.bhatch" "a" "a" "y" "" "p" "solid" "s" ssent "" "")
    (ssdel ssent sset)
    )
    (command "_.undo" "_end")
    )
     
    CAB2k, Aug 16, 2004
    #7
  8. Holly

    Holly Guest

    Sorry for delay in thanking you guys, been out of the office.
    Much appreciated,

    HOLLY x
     
    Holly, Aug 17, 2004
    #8
Ask a Question

Want to reply to this thread or ask your own question?

You'll need to choose a username for the site, which only take a couple of moments (here). After that, you can post your question and our members will help you out.